Subject: When the IETF can discuss drafts seriously?

From: Khaled Omar <[email-masked]>
Date: Tue, 19 Dec 2017 20:46:29 +0000

Hi all,

I noticed that the IETF participants gives only negative comments regarding the submitted IDs, that is good in some cases if it is true, but to ignore the positive side and the added values on every draft is something that should be changed, I always aim to find a true technical discussion on the mailing list to add something new or to correct something wrong with confidence.

It's been long time on the rtgwg mailing list and didn't have any technical discussion or comments for KRP and NEP or even an official review.

I believe that the IETF participants can show alot from their expertise to add, modify, or delete something from an existing draft.

Of course there are all kind of people at the IETF and some of them may be interested and can make a decision.

Thanks,

Khaled

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Tue, 19 Dec 2017 22:04:40 +0100

On Tue, Dec 19, 2017 at 08:46:29PM +0000,
 Khaled Omar <[email-masked]> wrote 
 a message of 14 lines which said:

> I noticed that the IETF participants gives only negative comments
> regarding the submitted IDs, that is good in some cases if it is
> true, but to ignore the positive side

Calvin Coolidge, a former US president, apparently said that the
important job in the governement was not to promote good bills, but to
kill bad ones. There are already many protocols and many RFC. Adding
more is not a goal in itself.

> It's been long time on the rtgwg mailing list and didn't have any
> technical discussion or comments for KRP and NEP or even an official
> review.

The problem at the IETF is that most people are too polite to explain
to you the truth. So, let me try: your proposals are worthless and do
not deserve a serious discussion. Yes, I'm harsh, but this is because
many persons already kindly explained the problem to you, and you
apparently don't listen. So, I have to retry harder.

---

From: Khaled Omar <[email-masked]>
Date: Tue, 19 Dec 2017 21:20:53 +0000

> Yes, I'm harsh, but this is because many persons already kindly explained the problem to you, and you

Which proposals you are talking about? All? for some time some people felt not comfortable with IPv10 and the discussion has been stopped, but with KRP and NEP I received almost nothing thats why I'm asking for decisions regarding the discussion.

-------- Original Message --------
Subject: Re: When the IETF can discuss drafts seriously?
From: Stephane Bortzmeyer
To: Khaled Omar
CC: ietf ,rtgwg

Khaled Omar wrote

---

From: Khaled Omar <[email-masked]>
Date: Tue, 19 Dec 2017 23:07:04 +0000

> The problem at the IETF is that most people are too polite to explain to you the truth.

Most comments was lacking understanding either because the text was not clear (and it was modified) or because it cannot be right, but it is fine if there is consensus.

Best regards,

Khaled

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 20 Dec 2017 12:18:42 +1300

Khaled,

I originally drafted the material at https://www.ietf.org/newcomers.html .
Now I realise that there is one important topic missing in the section
"How to Start", something like this:

Experience shows that starting your participation in the IETF with
a complete new protocol proposal is rarely a recipe for success. With
Internet protocols being up to 40 years old, the Internet as a system
being highly complex, and operational practices being extremely diverse,
it is very unlikely that an ambitious new proposal will fit in just
like that. A more successful technique is to join an existing IETF
activity, suggesting improvements and learning from the experience,
before making ambitious proposals.

(Or to say it more simply: serve an IETF apprenticeship first. We
all did that.)

    Brian

---

From: Joe Touch <[email-masked]>
Date: Tue, 19 Dec 2017 15:31:04 -0800

> On Dec 19, 2017, at 3:18 PM, Brian E Carpenter <[email-masked]> wrote:
> 

I sincerely hope that is not added to the text, nor ever in our minds. 

That view perpetuates seniority over content. We reject kings; I hope we reject elders, if that is their only relevant credential, too. 

Ideas are what matter, as does a willingness to listen when asking for feedback. 

Unfortunately, neither has been the case for for these proposals - and that, and only that, is the reason I won’t engage further.  If others do the same, I sincerely hope it is only for that reason. 

Joe

And admittedly, apprenticeship helps us all learn this, but again it should never be a bar.

---

From: Khaled Omar <[email-masked]>
Date: Tue, 19 Dec 2017 23:38:15 +0000

I've read this since I started building the 1st draft so it is stored on my background.

> A more successful technique is to join an existing IETF

I don't mind to participate if I found some interesting clear proposals.

-------- Original Message --------
Subject: Re: When the IETF can discuss drafts seriously?
From: Brian E Carpenter
To: [email-masked]
CC:

Khaled,

Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 20 Dec 2017 12:50:11 +1300

> That view perpetuates seniority over content. We reject kings; I hope we reject elders, if that is their only relevant credential, too. 

That's not what I said, or at least not what I meant to say.

What I meant was that coming into the IETF with naive proposals is close to
guaranteeing failure. It's nothing to do with respecting elders; it's to do
with the immense complexity of the network.

   Brian

---

From: Khaled Omar <[email-masked]>
Date: Wed, 20 Dec 2017 00:19:46 +0000

> Experience shows that starting your participation in the IETF with
a complete new protocol proposal is rarely a recipe for success.

I didn't mean to make a complete new proposal, it is just the idea then with the IETF it can be completed.

-------- Original Message --------
Subject: Re: When the IETF can discuss drafts seriously?
From: Brian E Carpenter
To: [email-masked]
CC:

Khaled,

Brian

---

From: Joe Touch <[email-masked]>
Date: Tue, 19 Dec 2017 20:29:41 -0800

> That's not what I said, or at least not what I meant to say.

Understood.  I’m still glad to have made the clarification, in case there was any ambiguity. 

> with the immense complexity of the network.

Certainly agreed. Further, vetting ideas in small groups for early feedback is a useful way to avoid consuming the entire community’s resources prematurely. 

The best place to introduce an idea, especially a complex one, is almost never this list. 

Joe

---

From: Robert Wilton <[email-masked]>
Date: Wed, 20 Dec 2017 11:13:23 +0000

Hi Khaled,

As a relative newcomer to IETF, I can perhaps give two (hopefully 
positive) suggestions (sorry, none of which is technical):

(1) From taking a very quick look at your drafts, it may be helpful to 
have three sections at the top of the drafts that answer these 3 
questions (before you describe the new protocols):
   i) What is the problem that the draft is solving?
   ii) Why the problem cannot be cleanly solved with existing 
protocols/technology (which would normally be much cheaper than 
designing a new protocol)?
   iii) How does the new protocol/technology solves the problem?

I.e. I think that you need to first convince the community that there is 
a problem to be solved, before they will invest their time looking at a 
solution.

(2) In my brief experience, it is as important to build consensus, as it 
is to write good clear drafts.  E.g. attend IETF, meet the key folks in 
the WGs (e.g. WG chairs and the main/frequent presenters in the WGs), 
present your ideas (but again, for a presentation, I would focus on just 
the 3 questions above), try and get other individuals in different 
companies/organizations that align with your approach (and who would be 
willing to put their name on your draft(s)).  If you have vendors 
implementing these protocols, and ISPs deploying them, then that is also 
a big help.  If you can show that you have a deep technical 
understanding of the existing protocols that you intend to replace, 
along with any limitations that they have, then that will also help.

But at the moment, from a very quick look at your drafts, it is unclear 
to me why we need another new version of the IP protocol, need to 
replace BGP with a new EGP and design a new IGP.  I suspect that the 
cost to the industry to develop, standardize, and roll out these new 
protocols (including new forwarding ASICs, etc) would end up being in 
the billions of dollars.  So I'm afraid that you need to find an 
extremely compelling reason as to why this is required, and hence why 
folk should invest their limited time in these protocols.

I hope that this feedback is helpful.

Kind regards,
Rob

On 19/12/2017 20:46, Khaled Omar wrote:
> _______________________________________________
> rtgwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtgwg
> .
>

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 20 Dec 2017 11:19:11 +0000

Hi,

>a problem to be solved, before they will invest their time looking at a

Also, I think the Introduction section of the draft should answer (at
least on a high-level) the 3 questions above, so that people don¹t have to
read through the draft just to figure out the answers.

Regards,

Christer

---

From: Khaled Omar <[email-masked]>
Date: Wed, 20 Dec 2017 11:27:52 +0000

Hi Robert,

It is true, i'll address these questions and will replace the existing text with a clear introduction about a comparison between KRP and BGP and between NEP and other IGPs so it can provide a brief description about the drafts.

Will be appreciated if you read the full drafts and have a technical discussion if you are interested.

-------- Original Message --------
From: Robert Wilton
To: Khaled Omar
CC: ietf ,rtgwg

Hi Khaled,

Kind regards,
Rob

---

From: "UTTARO, JAMES" <[email-masked]>
Date: Wed, 20 Dec 2017 12:28:53 +0000

+1

When we envisioned EVPN we first wrote an informational draft describing the requirements.. This provided the needed structure to have a conversation about the specification. 

Jim Uttaro

-----Original Message-----
From: rtgwg [mailto:[email-masked]] On Behalf Of Robert Wilton
Sent: Wednesday, December 20, 2017 6:13 AM
To: Khaled Omar <[email-masked]>
Cc: ietf <[email-masked]>; rtgwg <[email-masked]>
Subject: Re: When the IETF can discuss drafts seriously?

Hi Khaled,

Kind regards,
Rob

On 19/12/2017 20:46, Khaled Omar wrote:
> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_rtgwg&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=s7ZzB4JbPv3nYuoSx5Gy8Q&m=vyGkWWw2N1w2deXQ5Gi_J6YL7zA7b6XzL8dVqFlj6gQ&s=fh3wUVEt7FzuLCmP8uRfR52sNT50M2gMQ1-oOCiaIbg&e= 
> .
>

_______________________________________________
rtgwg mailing list
[email-masked]
https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_rtgwg&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=s7ZzB4JbPv3nYuoSx5Gy8Q&m=vyGkWWw2N1w2deXQ5Gi_J6YL7zA7b6XzL8dVqFlj6gQ&s=fh3wUVEt7FzuLCmP8uRfR52sNT50M2gMQ1-oOCiaIbg&e=

---

From: Robert Wilton <[email-masked]>
Date: Wed, 20 Dec 2017 12:37:14 +0000

On 20/12/2017 11:27, Khaled Omar wrote:
> Hi Robert,
>
> It is true, i'll address these questions and will replace the existing 
> text with a clear introduction about a comparison between KRP and BGP 
> and between NEP and other IGPs so it can provide a brief description 
> about the drafts.
>
I'm really sorry, but not really.  Alas, I'm not one of the routing 
experts that you are looking for!

I've given some quick comments form my cursory review:

- It seems that the IPv10 draft has already been discussed/dismissed so 
I've not spent time on that one.

KRP draft:
  - (Not technical) Naming the protocol after yourself is probably not 
doing yourself any favours, sorry, but it makes you come across as 
arrogant or naive.
  - I don't agree that this is solving a real problem.
  - How is this solution superior to standard hierarchical addressing in 
IPv4/v6?
  - This isn't just a routing protocol, but also has its own forwarding 
plane.  Normally, I would suggest splitting the two of these up, and 
perhaps reuse one of the existing forwarding planes.
- This draft seems to be incredible short, and doesn't seem to describe 
a fully thought out solution.

NEP draft:
  - I have no idea what problem this is trying to solve.
  - Why can't OSPF, ISIS, or one of the other IGPs be used instead?
- This draft seems to be incredible short, and doesn't seem to describe 
a full solution.

But I suspect that Stephane's comment, although direct, is probably to 
the point.  From my limitation knowledge of routing protocols, then I do 
not think that the drafts that you are proposing introduce significant 
new ideas that the routing protocol experts haven't thought of before.  
Possibly folks might spend more time on these drafts if it was clear 
that you are an expert in routing protocols, but alas that is not how 
the existing drafts come across.

To give a comparative example, at the last IETF there was a BOF on DC 
routing with 2 main solutions presented, and (IIRC) 3 other solutions.  
All of these 5 competing solutions seemed to be backed by experts in 
their field (most of whom I recognized from attending previous IETFs).

I was particularly impressed by Tony's presentation on RIFT (a proposed 
brand new DC routing protocol).  His presentation made it clear on what 
problem was being solved, why he considered that a new protocol is 
appropriate, and what advantages a new protocol has. Added to that, I 
had met Tony in person and he came across as someone whom clearly knows 
what he is talking about, he has produced 10 RFCs spanning 17+ years , 
has 15 active drafts, etc.  The draft is also backed by other people 
that I know/respect (one of them representing an ISP).

Hence may I also suggest that you try and get involved helping in some 
of the WGs that specialize in the existing protocols first, before you 
try and convince everyone that they are doing it all wrong and you have 
thought of a better solution.

Kind regards,
Rob

>     > I noticed that the IETF participants gives only negative
>     comments regarding the submitted IDs, that is good in some cases
>     if it is true, but to ignore the positive side and the added
>     values on every draft is something that should be changed, I
>     always aim to find a true technical discussion on the mailing list
>     to add something new or to correct something wrong with confidence.
>     >
>     > It's been long time on the rtgwg mailing list and didn't have
>     any technical discussion or comments for KRP and NEP or even an
>     official review.
>     >
>     > I believe that the IETF participants can show alot from their
>     expertise to add, modify, or delete something from an existing draft.
>     >
>     > Of course there are all kind of people at the IETF and some of
>     them may be interested and can make a decision.
>     >
>     > Thanks,
>     >
>     > Khaled

---

From: Andrew Allen <[email-masked]>
Date: Wed, 20 Dec 2017 13:55:29 +0000

IMHO a draft that identifies the current problems separate from the draft that proposes solutions is probably the best way forward. Then the discussion can first take place around reaching a consensus that there is a problem(s) that needs solving and isn't already addressed by existing work. 

Such drafts describing the problem and requirements for a solution are what is usually requested from 3GPP when 3GPP identify that some additional enhancements are required. For significant work a step wise approach is required to get to the final solution and the community has to be first convinced that there is a problem that is worth solving.

If there is consensus that there are problems to solve then it can be determined whether a solution can be achieved by small enhancements to existing protocols or whether a totally new protocol is needed and which WG should be assigned such work or whether a BOF is needed to establish a new WG to do the work. Only then should there be major discussion on the technical solution(s).

Andrew

-----Original Message-----
From: ietf [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: Wednesday, December 20, 2017 6:19 AM
To: Robert Wilton <[email-masked]>; Khaled Omar <[email-masked]>
Cc: ietf <[email-masked]>; rtgwg <[email-masked]>
Subject: Re: When the IETF can discuss drafts seriously?

Hi,

>I.e. I think that you need to first convince the community that there 
>is a problem to be solved, before they will invest their time looking 
>at a solution.

Also, I think the Introduction section of the draft should answer (at least on a high-level) the 3 questions above, so that people don¹t have to read through the draft just to figure out the answers.

Regards,

Christer

---

From: Khaled Omar <[email-masked]>
Date: Wed, 20 Dec 2017 14:15:37 +0000

> If there is consensus that there are problems to solve then it can be determined whether a solution can be achieved by small enhancements to existing protocols or whether a totally new protocol is…

I agree with that.

-----Original Message-----
From: Andrew Allen [mailto:[email-masked]] 
Sent: Wednesday, December 20, 2017 3:55 PM
To: Christer Holmberg; Robert Wilton; Khaled Omar
Cc: ietf; rtgwg
Subject: RE: When the IETF can discuss drafts seriously?

Andrew

-----Original Message-----
From: ietf [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: Wednesday, December 20, 2017 6:19 AM
To: Robert Wilton <[email-masked]>; Khaled Omar <[email-masked]>
Cc: ietf <[email-masked]>; rtgwg <[email-masked]>
Subject: Re: When the IETF can discuss drafts seriously?

Hi,

Regards,

Christer

---

From: Andrew Allen <[email-masked]>
Date: Wed, 20 Dec 2017 14:18:54 +0000

So I think your first task is to write a draft that clearly explains the problems and the requirements to solve those problems without addressing the specifics of the solutions you envision and then achieve consensus on the problems and requirements.

-----Original Message-----
From: Khaled Omar [mailto:[email-masked]] 
Sent: Wednesday, December 20, 2017 9:16 AM
To: Andrew Allen <[email-masked]>; Christer Holmberg <[email-masked]>; Robert Wilton <[email-masked]>
Cc: ietf <[email-masked]>; rtgwg <[email-masked]>
Subject: RE: When the IETF can discuss drafts seriously?

I agree with that.

-----Original Message-----
From: Andrew Allen [mailto:[email-masked]]
Sent: Wednesday, December 20, 2017 3:55 PM
To: Christer Holmberg; Robert Wilton; Khaled Omar
Cc: ietf; rtgwg
Subject: RE: When the IETF can discuss drafts seriously?

Andrew

-----Original Message-----
From: ietf [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: Wednesday, December 20, 2017 6:19 AM
To: Robert Wilton <[email-masked]>; Khaled Omar <[email-masked]>
Cc: ietf <[email-masked]>; rtgwg <[email-masked]>
Subject: Re: When the IETF can discuss drafts seriously?

Hi,

Regards,

Christer

---

From: Khaled Omar <[email-masked]>
Date: Wed, 20 Dec 2017 14:23:04 +0000

In progress .....

-----Original Message-----
From: Khaled Omar [mailto:[email-masked]]
Sent: Wednesday, December 20, 2017 9:16 AM
To: Andrew Allen <[email-masked]>; Christer Holmberg <[email-masked]>; Robert Wilton <[email-masked]>
Cc: ietf <[email-masked]>; rtgwg <[email-masked]>
Subject: RE: When the IETF can discuss drafts seriously?

I agree with that.

-----Original Message-----
From: Andrew Allen [mailto:[email-masked]]
Sent: Wednesday, December 20, 2017 3:55 PM
To: Christer Holmberg; Robert Wilton; Khaled Omar
Cc: ietf; rtgwg
Subject: RE: When the IETF can discuss drafts seriously?

Andrew

-----Original Message-----
From: ietf [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: Wednesday, December 20, 2017 6:19 AM
To: Robert Wilton <[email-masked]>; Khaled Omar <[email-masked]>
Cc: ietf <[email-masked]>; rtgwg <[email-masked]>
Subject: Re: When the IETF can discuss drafts seriously?

Hi,

Regards,

Christer

---

From: Ted Lemon <[email-masked]>
Date: Wed, 20 Dec 2017 11:06:33 -0500

> So I think your first task is to write a draft that clearly explains the problems and the requirements to solve those problems without addressing the specifics of the solutions you envision and the…

I think actually the first task is to meditate on the question of how what I am thinking of doing will benefit the IETF and the IETF's constituents, and how it will benefit me.   The second part is important, because it helps to put things in perspective.   If you find during this meditation that you can think of lots of reasons why the work will benefit me, and aren't able to come up with reasons why it will benefit the IETF or the IETF's constituents, then you need to meditate some more.

Of course, knowing what will benefit the IETF and the IETF's constituents is a hard problem; it's hard even to know who the IETF is or who its constituents are.   If you find that you are kiting a lot of proposals that aren't getting a positive reception from the IETF, there's a good chance that your model of who the IETF is and who its constituents are doesn't agree with the IETF participants who have reacted inhospitably to your proposal.

So the goal of the meditation isn't really to know the answers to the questions you are meditating on.   It's just to familiarize yourself with your own thinking about your relationship to the IETF, so that you can start to notice places where this thinking does not match reality.   As you repeat this process over time, if you do it with an open and skeptical mind, you will probably find yourself more able to come up with ideas that people are interested in and want to work with you on.

Another very valuable thing to do is just sit and listen to people talk about problems in the IETF, and then see if you can come up with a small, narrowly scoped proposal that will help to solve one of those problems.   Or even an insight you can share on the mailing list that helps to better focus the discussion.

Like the meditation I suggested, if you do this for an extended period of time (years), you will eventually have the credibility that is required to do something more ambitious and broadly scoped.   Starting at the beginning with a redesign of the architecture of the Internet is the exact opposite of this approach, and it's why you are experiencing so much resistance.  It's not that the problem isn't interesting—it's that you are building a castle on a foundation of sand.

---

From: Khaled Omar <[email-masked]>
Date: Thu, 21 Dec 2017 09:21:10 +0000

> Another very valuable thing to do is just sit and listen to people talk about problems in the IETF, and then see if you can come up with a small, narrowly scoped proposal that will help to solve on…

As I said before, I don't mind to join a discussion if the topic is interesting and its information is clear, but I was tired of asking for technical discussion so it will take the drafts forward.

---

From: S Moonesamy <[email-masked]>
Date: Thu, 21 Dec 2017 02:46:40 -0800

Hi Khaled,
At 12:46 PM 19-12-2017, Khaled Omar wrote:
>true, but to ignore the positive side and the added values on every 
>draft is something that should be changed, I always aim to find a 
>true technical discussion on the mailing list to add something new 
>or to correct something wrong with confidence.

Several years ago, I rewrote a draft and sent it to the authors as I 
estimated that it would be less effort compared to the effort I put 
in to follow up on the review of the draft.  Is it worth reviewing a 
draft if the amount of effort it requires is much more than the 
effort the author put it to write the draft?

I suggest comparing (published) RFCs on the subject you are 
interested in with the drafts you have submitted to assess the 
technical and editorial level which is being sought.

Regards,
S. Moonesamy

---

From: Khaled Omar <[email-masked]>
Date: Thu, 21 Dec 2017 11:04:07 +0000

Hi Moonesamy,

> I suggest comparing (published) RFCs on the subject you are interested in with the drafts you have submitted to assess the technical and editorial level which is being sought.

>From your experience with RFCs on this topic, do you think there are other RFCs discussing the same EGP and IGP suggested on the KRP and NEP IDs? 

Khaled 

-----Original Message-----
From: ietf [mailto:[email-masked]] On Behalf Of S Moonesamy
Sent: Thursday, December 21, 2017 12:47 PM
To: Khaled Omar; [email-masked]
Subject: Re: When the IETF can discuss drafts seriously?

Hi Khaled,
At 12:46 PM 19-12-2017, Khaled Omar wrote:
>regarding the submitted IDs, that is good in some cases if it is true, 
>but to ignore the positive side and the added values on every draft is 
>something that should be changed, I always aim to find a true technical 
>discussion on the mailing list to add something new or to correct 
>something wrong with confidence.

Several years ago, I rewrote a draft and sent it to the authors as I estimated that it would be less effort compared to the effort I put in to follow up on the review of the draft.  Is it worth reviewing a draft if the amount of effort it requires is much more than the effort the author put it to write the draft?

I suggest comparing (published) RFCs on the subject you are interested in with the drafts you have submitted to assess the technical and editorial level which is being sought.

Regards,
S. Moonesamy

---

From: S Moonesamy <[email-masked]>
Date: Thu, 21 Dec 2017 03:41:28 -0800

Hi Khaled,
At 03:04 AM 21-12-2017, Khaled Omar wrote:
> From your experience with RFCs on this topic, do you think there 
> are other RFCs discussing the same EGP and IGP suggested on the KRP 
> and NEP IDs?

I did a quick search and came across RFC 2328.  There must be other 
RFCs or even Internet-Drafts which discuss about topics similar to 
the one you are writing about.

Regards,
S. Moonesamy

---

From: Dick Franks <[email-masked]>
Date: Thu, 21 Dec 2017 14:14:09 +0000

On 21 December 2017 at 09:21, Khaled Omar <[email-masked]>
wrote:

> > Another very valuable thing to do is just sit and listen to people talk
> about problems in the IETF, and then see if you can come up with a small,
> narrowly scoped proposal that will help to solve one of those problems.
>  Or even an insight you can share on the mailing list that helps to better
> focus the discussion.
>
> As I said before, I don't mind to join a discussion if the topic is
> interesting and its information is clear, but I was tired of asking for
> technical discussion so it will take the drafts forward.
>

Stephane was right. You just do not listen.

You have already been offered a mountain of good quality advice, based on
hundreds of man-years of experience, but choose to remain as self-centred
as ever.

However, one important personal consideration has not yet been addressed.

You should be aware that all IETF mailing list traffic is archived and
publicly accessible. This record of your character and behaviour toward
others is much more revealing than anything achievable in a recruitment
interview.  This could inflict serious damage on your career prospects.

---

From: Ted Lemon <[email-masked]>
Date: Thu, 21 Dec 2017 09:22:46 -0500

> As I said before, I don't mind to join a discussion if the topic is interesting and its information is clear, but I was tired of asking for technical discussion so it will take the drafts forward.

You haven't quite heard what I've said.   What I've said is that you need to start joining in discussions where what is being discussed isn't your draft.   You need to approach those discussions with an attitude of finding some way to be helpful, not as a way of promoting your interests.   If you come to the IETF to promote your interests, you're not going to be very effective.   You are not being singled out here—people come to the IETF all the time with self-interested motivations; sometimes they manage to get something they wanted out of the process, but it's always a struggle.

---

From: Khaled Omar <[email-masked]>
Date: Thu, 21 Dec 2017 14:45:18 +0000

> You haven't quite heard what I've said.   What I've said is that you need to start joining in discussions where what is being discussed isn't your draft.

Yes, I know and I meant this, but I said I’m looking for a technical discussion for my drafts as well.

From: rtgwg [mailto:[email-masked]] On Behalf Of Ted Lemon
Sent: Thursday, December 21, 2017 4:23 PM
To: Khaled Omar
Cc: ietf; rtgwg
Subject: Re: When the IETF can discuss drafts seriously?

On Dec 21, 2017, at 4:21 AM, Khaled Omar <[email-masked]<mailto:[email-masked]>> wrote:
As I said before, I don't mind to join a discussion if the topic is interesting and its information is clear, but I was tired of asking for technical discussion so it will take the drafts forward.

---

From: John C Klensin <[email-masked]>
Date: Thu, 21 Dec 2017 10:56:27 -0500

Folks,

May I suggest that we wind this discussion thread down.  

Whether correct or not, analyses of Khaled's character are
probably not helpful and repetitive versions of them are less
so.  The S/N ratio on the IETF list is never wonderful and this
thread should not contribute to making it worse.

At least IMO, Khaled has been given a number of quite
constructive suggestions (both on-list and off) about how to
proceed if he wants to do so.   Almost all of them include
focusing on a problem statement and/or a careful and reflect
literature review and analysis, but, if he wants to make
progress, he needs to understand the details of those
suggestions.

Let's give him time to do that and see what, in the form of a
draft focused on those topics, he comes up with and, in the
process, try to reserve judgment about intentions, quality of
listening, etc.

best,
    john

---

From: Lee Howard <[email-masked]>
Date: Thu, 21 Dec 2017 11:02:30 -0500

On 12/21/17, 6:04 AM, "ietf on behalf of Khaled Omar"
<[email-masked] on behalf of [email-masked]> wrote:

>Hi Moonesamy,
>
>> I suggest comparing (published) RFCs on the subject you are interested
>>in with the drafts you have submitted to assess the technical and
>>editorial level which is being sought.
>
>>From your experience with RFCs on this topic, do you think there are
>>other RFCs discussing the same EGP and IGP suggested on the KRP and NEP
>>IDs?

I doubt it, because these protocols are not good ideas.

KRP doesn’t just assume routing follows political geography, it requires
it. That’s just terrible network design.

NEP has just three metrics: bandwidth (but not capacity), hop count, and
delay (RTT?). How does a router know these values for every possible
destination address? But it’s not three metrics, it’s one comprising those
three, because you know the exact best mix of metrics for every network.
As a simple exercise, consider what happens when somebody adds or changes
a router or link six hops away: how long does it take for all routers to
advertise the update and respond to advertisements and advertise updates
from that? 

There is nothing salvageable from these proposals: they are fundamentally
naive about networking.

I can’t even think of what to suggest to you.

Lee 

>estimated that it would be less effort compared to the effort I put in to
>follow up on the review of the draft.  Is it worth reviewing a draft if
>the amount of effort it requires is much more than the effort the author
>put it to write the draft?
>
>I suggest comparing (published) RFCs on the subject you are interested in
>with the drafts you have submitted to assess the technical and editorial
>level which is being sought.
>
>Regards,
>S. Moonesamy 
>
>

---

From: Khaled Omar <[email-masked]>
Date: Thu, 21 Dec 2017 16:23:26 +0000

Hi Lee,

Thanks for discussing technical details.

> KRP doesn’t just assume routing follows political geography, it requires it. That’s just terrible network design.

Political geography can be added to the IP address assignment, KRP uses the stored information of the KRP RN and KRP ASN only.

> NEP has just three metrics: bandwidth (but not capacity), hop count, and delay (RTT?)

Can you define capacity?

> How does a router know these values for every possible destination address?

Every router has a table for every connected interface's bandwidth and delay, and with advertisements, it adds these values in addition to increasing the number of hops to the neighboring router(s) before advertising to have the link total BW, total delay and number of hops.

> As a simple exercise, consider what happens when somebody adds or changes a router or link six hops away: how long does it take for all routers to advertise the update and respond to advertisements and advertise updates from that?

You mean convergence, if a change to a link or router status occurs, NEP routers recalculates routes and eventually updates the existing routing table, it is like how GPS works, if a route for example has a high traffic due to an accident, it suggests another best route, but with large networks I think NEP needs a faster approach and this is what I'm working on now.

Khaled

-----Original Message-----
From: Lee Howard [mailto:[email-masked]] 
Sent: Thursday, December 21, 2017 6:03 PM
To: Khaled Omar; [email-masked]
Subject: Re: When the IETF can discuss drafts seriously?

On 12/21/17, 6:04 AM, "ietf on behalf of Khaled Omar"
<[email-masked] on behalf of [email-masked]> wrote:

>>other RFCs discussing the same EGP and IGP suggested on the KRP and 
>>NEP IDs?

KRP doesn’t just assume routing follows political geography, it requires it. That’s just terrible network design.

NEP has just three metrics: bandwidth (but not capacity), hop count, and delay (RTT?). How does a router know these values for every possible destination address? But it’s not three metrics, it’s one comprising those three, because you know the exact best mix of metrics for every network.
As a simple exercise, consider what happens when somebody adds or changes a router or link six hops away: how long does it take for all routers to advertise the update and respond to advertisements and advertise updates from that? 

There is nothing salvageable from these proposals: they are fundamentally naive about networking.

Lee 

>>something that should be changed, I always aim to find a true 
>>technical discussion on the mailing list to add something new or to 
>>correct something wrong with confidence.
>
>estimated that it would be less effort compared to the effort I put in 
>to follow up on the review of the draft.  Is it worth reviewing a draft 
>if the amount of effort it requires is much more than the effort the 
>author put it to write the draft?
>

---

From: Christopher Morrow <[email-masked]>
Date: Thu, 21 Dec 2017 11:38:35 -0500

The actual problem here is that the draft discussion's don't actually
belong on the IETF@ list though... They belong in their respective WG
lists, or perhaps on the IRTF list.

Can we just move the discussion(s) there? :)

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Thu, 21 Dec 2017 17:44:01 +0100

Actually, sergeant-at-arms should have acted against this thread long time ago, following RFC3005.

Saludos,
Jordi

-----Mensaje original-----
De: ietf <[email-masked]> en nombre de Christopher Morrow <[email-masked]>
Responder a: <[email-masked]>
Fecha: jueves, 21 de diciembre de 2017, 17:39
Para: John C Klensin <[email-masked]>
CC: rtgwg <[email-masked]>, ietf <[email-masked]>
Asunto: Re: When the IETF can discuss drafts seriously?

    The actual problem here is that the draft discussion's don't actually belong on the IETF@ list though... They belong in their respective WG lists, or perhaps on the IRTF list.
    Can we just move the discussion(s) there? :)

    Folks,

    

    best,
        john

    

**********************************************
IPv4 is over
Are you ready for the new Internet ?
http://www.consulintel.es
The IPv6 Company

This electronic message contains information which may be privileged or confidential. The information is intended to be for the exclusive use of the individual(s) named above and further non-explicilty authorized disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited and will be considered a criminal offense. If you are not the intended recipient be aware that any disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited, will be considered a criminal offense, so you must reply to the original sender to inform about this communication and delete it.

---

From: Khaled Omar <[email-masked]>
Date: Thu, 21 Dec 2017 16:48:47 +0000

> Can we just move the discussion(s) there? :)

I wish to go discuss there, but where there.

From: rtgwg [mailto:[email-masked]] On Behalf Of Christopher Morrow
Sent: Thursday, December 21, 2017 6:39 PM
To: John C Klensin
Cc: rtgwg; Khaled Omar; ietf
Subject: Re: When the IETF can discuss drafts seriously?

On Thu, Dec 21, 2017 at 10:56 AM, John C Klensin <[email-masked]<mailto:[email-masked]>> wrote:
Folks,

best,
    john

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Thu, 21 Dec 2017 17:49:47 +0100

On Thu, Dec 21, 2017 at 04:23:26PM +0000,
 Khaled Omar <[email-masked]> wrote 

> > NEP has just three metrics: bandwidth (but not capacity), hop count, and delay (RTT?)

If you intend to participate to IETF, may I suggest that you read a
few RFC?

For instance, RFC 5136.

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Thu, 21 Dec 2017 17:52:21 +0100

Rules are clear. Read please RFC3005.

Even if nobody wishes to discuss your documents in the relevant mail exploders, you AREN’T allowed to try to discuss it here, because there is a specific venue for that.

If you don’t follow the rules, if you ignore all the help that has been offered to you in private and public, you must be banned from the list.

Otherwise, everybody will be able to ask in this list when one of his documents is not getting discussion in the relevant WG list, which is, unfortunately, something that happens every other day.

Regards,
Jordi

-----Mensaje original-----
De: ietf <[email-masked]> en nombre de Khaled Omar <[email-masked]>
Responder a: <[email-masked]>
Fecha: jueves, 21 de diciembre de 2017, 17:49
Para: Christopher Morrow <[email-masked]>, John C Klensin <[email-masked]>
CC: ietf <[email-masked]>, rtgwg <[email-masked]>
Asunto: RE: When the IETF can discuss drafts seriously?

     
    From: rtgwg [mailto:[email-masked]]
    On Behalf Of Christopher Morrow
    Sent: Thursday, December 21, 2017 6:39 PM
    To: John C Klensin
    Cc: rtgwg; Khaled Omar; ietf
    Subject: Re: When the IETF can discuss drafts seriously?

     
    
    Folks,

    

    best,
        john

---

From: Christopher Morrow <[email-masked]>
Date: Thu, 21 Dec 2017 11:58:47 -0500

> I wish to go discuss there, but where there.
The IRTF - The Internet Research Task Force
  mailto: [email-masked]

IDR:
   mailto: [email-masked]

routing-discussion
  mailto: [email-masked]

rtgwg (you already copied them, just move there)

>
>
>
>
> *From:* rtgwg [mailto:[email-masked]] *On Behalf Of *Christopher
> Morrow
> *Sent:* Thursday, December 21, 2017 6:39 PM
> *To:* John C Klensin
> *Cc:* rtgwg; Khaled Omar; ietf
> *Subject:* Re: When the IETF can discuss drafts seriously?
>
>
>

---

From: Alexander Vainshtein <[email-masked]>
Date: Thu, 21 Dec 2017 18:23:46 +0000 (UTC)

+1.Sasha Vainshtein

Sent from Yahoo Mail on Android 
 
  On Thu, Dec 21, 2017 at 17:57, John C Klensin<[email-masked]> wrote:   Folks,

best,
    john

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 22 Dec 2017 07:58:53 +1300

> Even if nobody wishes to discuss your documents in the relevant mail exploders, you AREN’T allowed to try to discuss it here, because there is a specific venue for that.

However, discussion here of how the IETF can help people get started
does seem relevant to the whole community. Specific suggestions could
be directed to the Education, Mentoring and Outreach Directorate
(https://www.ietf.org/edu/).

    Brian

---

From: Miles Fidelman <[email-masked]>
Date: Thu, 21 Dec 2017 12:09:38 -0700

> (https://www.ietf.org/edu/).
Memory starts to fail me.  Did there not used to be an "ideas" series of 
documents, precisely for discussing things at early stages?  Whatever 
happened to those?  I can't even seem to find an archive?  (Or am I just 
getting senile?)

Miles Fidelman

-- 
In theory, there is no difference between theory and practice.
In practice, there is.  .... Yogi Berra

---

From: Michael StJohns <[email-masked]>
Date: Thu, 21 Dec 2017 17:51:29 -0500

On 12/21/2017 2:09 PM, Miles Fidelman wrote:
>>> Even if nobody wishes to discuss your documents in the relevant mail 
>>> exploders, you AREN’T allowed to try to discuss it here, because 
>>> there is a specific venue for that.
> Memory starts to fail me.  Did there not used to be an "ideas" series 
> of documents, precisely for discussing things at early stages?  
> Whatever happened to those?  I can't even seem to find an archive?  
> (Or am I just getting senile?)
>
> Miles Fidelman
>
>
>

The IDEA series (Internet Design Engineering and Analysis) was a short 
lived predecessor series (I think something like 12 documents total) of 
the current internet-drafts process  - they filled exactly the same 
niche that IDs do today.  I think copies of the IDEAs are probably 
buried in the CNRI archives or maybe the early IETF mailing list.   Some 
are referenced in the the old proceedings (IDEA 9 was EGP3 - see page 10 
of the IETF 9 proceedings).

Later, Mike